/*
 * base.css
 * Version: 1.0.0
 * Author: Lanlanwi
 * License: MIT
 * Created: 2026-03-01
 */





*, *::before, *::after {
    box-sizing: border-box;

    margin: 0;
    padding: 0;

    -webkit-tap-highlight-color: transparent;

    scroll-margin-top: 15vh;
}

html {
    font-family: sans-serif;
    font-size: 16px;

    scroll-behavior: smooth;
}

body {
    display: flex;
    flex-direction: column;

    min-height: 100vh;
    min-height: 100dvh;

    line-height: 1.6;
    overflow-wrap: break-word;

    color: #2F2F2F;
    background-color: #FFF;
}

main { flex: 1; }

h1, h2, h3, h4, h5, h6 {
    line-height: 1.3;
    font-weight: 600;
}

p {
    margin-block: 1em;
}

a { color: inherit; }

img, video, audio, iframe, object {
    display: block;

    height: auto;
    max-width: 100%;
}

ul {
    padding-left: 1.5em;

    font-size: 0.875rem;
}

button, input[type="submit"], input[type="reset"] {
    border: none;

    font: inherit;

    background: none;

    cursor: pointer;
    user-select: none;
}

:focus-visible {
    outline: 2px solid currentColor;
    outline-offset: 2px;
}



/* Scroll Bar */
.no-scrollbar {
    scrollbar-width: none;
    -ms-overflow-style: none;
}
.no-scrollbar::-webkit-scrollbar { display: none; }

.no-scrollbar-all,
.no-scrollbar-all * {
    scrollbar-width: none;
    -ms-overflow-style: none;
}
.no-scrollbar-all::-webkit-scrollbar,
.no-scrollbar-all *::-webkit-scrollbar { display: none; }
